package jcg.zheng.demo.treemap;

import java.util.Map;
import java.util.Set;
import java.util.Map.Entry;
import java.util.function.BiConsumer;

import jcg.zheng.demo.data.User;

public class PrintService {

	public void print(Map<Integer, String> integerMap) {
		Set<Integer> keys = integerMap.keySet();
		keys.forEach(k -> {
			System.out.println("k=" + k + ", v=" + integerMap.get(k));
		});
	}

	public void printIntegerTreeMap_forEach(Map<Integer, String> integerMap) {
		BiConsumer<Integer, String> action = (k, v) -> System.out.println("key=" + k + ",value=" + v);
		integerMap.forEach(action);
	}

	public void printIntergerTreeMap_values(Map<Integer, String> integerMap) {
		integerMap.values().forEach(name -> {
			System.out.println(name);
		});
	}

	public void printUserTreeMap_entrySet(Map<User, String> userMap) {
		Set<Entry<User, String>> mapSet = userMap.entrySet();
		for (Entry<User, String> entry : mapSet) {
			System.out.print("key=" + entry.getKey());
			System.out.println(", value=" + entry.getValue());
		}
	}
}
